package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Ead;
import com.brilliance.isc.bo.Ear;
import com.brilliance.isc.common.cfamag.common.ICfaRecgrp;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Eadgrp extends AbstractCommonVo implements ICfaRecgrp<Ead> {

    private Ead bas;

    private List<Ear> dcl;


    @Override
    public void reset() {
        if(bas == null) {
            bas = new Ead();
        }
        if(dcl == null) {
            dcl = new ArrayList<>();
        }
    }
}
